Bug 174201 - SCSI devices disappear after upgrade to 2.6.14
SCSI devices disappear after upgrade to 2.6.14
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 15:42 EST by Bill Greene
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 16:20:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Greene 2005-11-25 15:42:22 EST
Description of problem:  The problem appeared after I updated from kernel
2.6.13-1.1526_FC4smp to 2.6.14-1.1637_FC4smp.  The machine is an IBM x226 with a
ServeRAID 6i+ card.  Under 1637, channel 1 and 2 of the controller and any
associated devices (in my case, just a tape drive) are not visible.  Same thing
happens on the non-smp kernel.  Booting 1526 shows the channels and devices. 
(See below for examples.)  Both 1526 and 1637 seem to be using the same version
of the ips driver (7.12.2).  The 6i+ card has the latest version of the firmware
(7.10.23).

Version-Release number of selected component (if applicable): 2.6.14-1.1637

How reproducible:  Always.

Steps to Reproduce:
1. Boot
2. Check for devices in /proc/scsi/scsi
3.
  
Actual results:

Channel 1 and 2 of the SCSI and any devices connected to them don't appear

Expected results:

Channel 1 and 2 do appear.

Additional info:

cat of /proc/scsi/scsi under 1526:
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: IBM      Model: SERVERAID        Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 15 Lun: 00
  Vendor: IBM      Model: SERVERAID        Rev: 1.00
  Type:   Processor                        ANSI SCSI revision: 02
Host: scsi0 Channel: 01 Id: 06 Lun: 00
  Vendor: SEAGATE  Model: DAT    9SP40-000 Rev: 910B
  Type:   Sequential-Access                ANSI SCSI revision: 03
Host: scsi0 Channel: 02 Id: 08 Lun: 00
  Vendor: IBM      Model: 02R0980a S320  1 Rev: 1
  Type:   Processor                        ANSI SCSI revision: 02

cat of /proc/scsi/scsi under 1637:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: IBM      Model: SERVERAID        Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 15 Lun: 00
  Vendor: IBM      Model: SERVERAID        Rev: 1.00
  Type:   Processor                        ANSI SCSI revision: 02


cat of /proc/scsi/sg/dev* under 1526:
host    chan    id      lun     type    opens   qdepth  busy    online
0       0       0       0       0       1       63      0       1
0       0       15      0       3       1       3       0       1
0       1       6       0       1       1       3       0       1
0       2       8       0       3       1       3       0       1
IBM             SERVERAID               1.00
IBM             SERVERAID               1.00
SEAGATE         DAT    9SP40-000        910B
IBM             02R0980a S320  1        1

cat of /proc/scsi/sg/dev* under 1637:
host    chan    id      lun     type    opens   qdepth  busy    online
0       0       0       0       0       1       63      0       1
0       0       15      0       3       1       3       0       1
IBM             SERVERAID               1.00
IBM             SERVERAID               1.00

modprobe.conf:
alias eth0 tg3
alias scsi_hostadapter ips
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
Comment 1 Bill Greene 2005-12-03 15:18:07 EST
FWIW, the same problem occurs with kernel 2.6.14-1.1644 from 28 November.
Comment 2 Bill Greene 2005-12-16 14:54:46 EST
Problem still exists as of kernel 2.6.14-1.1653.
Comment 3 Dave Jones 2006-02-03 01:28:04 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 Bill Greene 2006-02-03 16:20:45 EST
Problem is resolved in 2.6.15-1.1830_FC4.

Note You need to log in before you can comment on or make changes to this bug.